Get Integrator Crypto Wallets
curl --request GET \
--url https://sandbox-api.kotanipay.io/api/v3/wallet/crypto \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.kotanipay.io/api/v3/wallet/crypto"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.kotanipay.io/api/v3/wallet/crypto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Crypto wallet has been successfully retrieved.",
"data": [
{
"name": "My Wallet",
"balance": 1000,
"type": "eg crypto or fiat",
"coin": "eg CUSD or USDC or USDT",
"id": "f053188c-d924-4423-bbba-871eda0b1cd9",
"privateAddress": "0x1234567890",
"publicAddress": "0x1234567890",
"address": "0x1234567890",
"customAddress": "0x1234567890",
"chain": "eg CELO or ETHEREUM or AVALANCHE or POLYGON",
"tokenBalance": [
{
"token": "USDT",
"balance": "1000",
"fiatValue": "1000"
}
],
"fiatBalance": 1000,
"fiatCurrency": "USD",
"explorerUrl": "https://etherscan.io/address/0xabc..."
}
]
}{
"success": false,
"message": "Unauthorized",
"data": {}
}Crypto Wallets
List Crypto Wallets
This endpoint will return all the crypto wallets created by the integrator.
GET
/
api
/
v3
/
wallet
/
crypto
Get Integrator Crypto Wallets
Get a list of all crypto wallets belonging to the authenticated integrator, including supported chains and balances.
⌘I